@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package snovis with version v1r1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_snovis_session
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_snovis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_snovis_path=%obuild_snovis_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_PLATFORM%" == "" (
  IF "%OS%" == "" ECHO Environment variable OS not found. & GOTO obuild_return
  SET obuild_platform=%OS%
) ELSE (
  SET obuild_platform=%OBUILD_PLATFORM%
)

IF "%obuild_platform%" == "" (
  ECHO obuild_platform variable not defined.
  GOTO obuild_return
)

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=%obuild_platform%_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_snovis_path%\obuild\cpp\obuild_platform.cpp" 1> NUL
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Geant4_home=/usr/local/geant4/8.2
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_4
SET obuild_cxx_command=c++
:end_if_platform_4
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_command=c++
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_6
SET obuild_cxx_command=cxx
:end_if_platform_6
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_command=cl.exe
:end_if_platform_7
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
SET obuild_cxx_optimize=-O
:end_if_platform_8
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_optimize=-O
:end_if_platform_9
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
SET obuild_cxx_optimize=-O
:end_if_platform_10
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_optimize=/O2
:end_if_platform_11
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
SET obuild_cxx_debug=-g
:end_if_platform_12
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_debug=-g
:end_if_platform_13
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
SET obuild_cxx_debug=-g
:end_if_platform_14
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_15
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
SET obuild_cxx_options=-fPIC
:end_if_platform_16
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_17
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_snovis_session_sh_18
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_snovis_session_sh_18
:else_if_db_build_app_snovis_session_sh_18
  SET obuild_cxx_debug_local=
:end_if_db_build_app_snovis_session_sh_18

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_snovis_session_sh_19
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_snovis_session_sh_19
:else_if_opt_build_app_snovis_session_sh_19
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_snovis_session_sh_19


IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_snovis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_snovis_path%\obuild\cpp\obuild_find.cpp" 1> NUL
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r*`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r*`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r*`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r*`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r*`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r*`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r*`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r*`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_snova_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_snova_path%\source\GeomUtils\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_snova_path%\source\SNvertex\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_snova_path%\source\SNgeom2\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_bhep_path%"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
:end_if_platform_25
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
SET obuild_cxx_includes=%obuild_cxx_includes% -I${Geant4_home}/include
:end_if_platform_26
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HDF5_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_AIDA_path%\src\cpp"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_G4Lab_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"

IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session" RMDIR /S /Q "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session"
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_snovis_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_snovis_session\snovis_session.obj  /Tp"..\applications\snovis_session.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snovis_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET obuild_cxx_linker_command=c++
:end_if_platform_33
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
SET obuild_cxx_linker_command=c++
:end_if_platform_34
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
SET obuild_cxx_linker_command=cxx
:end_if_platform_35
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
SET obuild_cxx_linker_command=link.exe
:end_if_platform_36
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
SET obuild_cxx_linker_debug=-g
:end_if_platform_37
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
SET obuild_cxx_linker_debug=-g
:end_if_platform_38
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
SET obuild_cxx_linker_debug=-g
:end_if_platform_39
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_40
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
SET obuild_cxx_linker_options=/nologo
:end_if_platform_41
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_snovis_session_sh_42
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_snovis_session_sh_42
:else_if_db_build_app_snovis_session_sh_42
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_snovis_session_sh_42

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_snovis_session_sh_43
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_snovis_session_sh_43
:else_if_opt_build_app_snovis_session_sh_43
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_snovis_session_sh_43

SET obuild_linked_libraries="%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_snova_path%\%obuild_dir_bin%\snova.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_home}/lib -lG4interfaces
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_54
SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_home}/lib -lG4readout -lG4run -lG4event -lG4tracking -lG4processes -lG4digits_hits -lG4track -lG4particles -lG4geometry -lG4graphics_reps -lG4materials -lG4intercoms -lG4global
:end_if_platform_54
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_55
SET obuild_linked_libraries=%obuild_linked_libraries% -L${CLHEP_home}/lib -lCLHEP
:end_if_platform_55
SET obuild_platform_result=
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.lib"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_67
SET obuild_linked_libraries=%obuild_linked_libraries% -framework OpenGL -framework AGL
:end_if_platform_67
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_68
SET obuild_linked_libraries=%obuild_linked_libraries% -framework ApplicationServices
:end_if_platform_68
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_69
SET obuild_linked_libraries=%obuild_linked_libraries% -L/usr/lib -lGLU -lGL -lm
:end_if_platform_69
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_70
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_70
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_71
SET obuild_linked_libraries=%obuild_linked_libraries% -L${OBUILD_OPENGL_HOME}/lib -lGLU -lGL -lm
:end_if_platform_71
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_72
SET obuild_linked_libraries=%obuild_linked_libraries% -lpthread
:end_if_platform_72
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF EXIST .\app_snovis_session\tmp_objs DEL .\app_snovis_session\tmp_objs
FOR %%f IN (.\app_snovis_session\*.obj) DO ECHO %%f >> .\app_snovis_session\tmp_objs
REM # Link snovis_session :
IF EXIST .\snovis_session.exe DEL .\snovis_session.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\snovis_session.exe @.\app_snovis_session\tmp_objs %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
REM # Some cleanup :
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs" DEL "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.ilk" DEL "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.ilk"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.pdb" DEL "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.pdb"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs" DEL "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exp" DEL "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exp"

:obuild_return
ENDLOCAL
@ECHO ON
